describe( 'Test for the Pages of flooq.io', function () {
  test( 'Test Developer page and project status', function ( browser ) {
    browser
      .url( 'https://editor-staging.flooq.io/developer' )
      .assert.not.urlContains( 'http://' )
      .waitForElementVisible( 'main' )
      .assert.elementPresent( 'header' )
      .assert.elementPresent( 'main' )
      .assert.titleContains( 'Flooq | Developer' )
      .assert.textContains( 'header h1', 'Developer' )
      .assert.textContains( 'main li:nth-child(1)', 'running' )
      .assert.textContains( 'main li:nth-child(2)', 'connected' )
      .end()
  } )
  test( 'Test Sign-In page with GitHub redirect', function ( browser ) {
    browser
      .url( 'https://editor-staging.flooq.io/' )
      .pause(1000)
      .assert.titleContains( 'Flooq IdentityServer' )
      .assert.urlContains( 'https://identity-staging.flooq.io/' )
      .waitForElementVisible( 'body' )
      .assert.elementPresent( 'body form button' )
      .assert.textContains( 'body form button', 'Login' )
      .assert.elementPresent( 'body a' )
      .assert.textContains( 'body a', 'GitHub' )
      .assert.attributeContains( 'body a', 'href', '/ExternalLogin/Challenge' )
      .click( 'body a' )
      .pause(1000)
      .assert.urlContains( 'https://github.com/login' )
      .assert.urlContains( 'identity-staging.flooq.io' )
      .assert.titleContains( 'Sign in to GitHub · GitHub' )
      .end()
  } )
} )
